TheSwamp

Code Red => AutoLISP (Vanilla / Visual) => Topic started by: V@no on April 27, 2024, 04:55:04 PM

Title: "trigger" dragging a fit point of a spline?
Post by: V@no on April 27, 2024, 04:55:04 PM
Is there a way to "trigger" a click on a fit point of a spline?

For example if user typed a command "blah" it would "grab" second point of a selected spline and then would show it transform when user moves the mouse around?
Title: Re: "trigger" dragging a fit point of a spline?
Post by: BIGAL on April 27, 2024, 07:37:59 PM
If you use vl code you can get "fitpoints" eg FitPoints = (-2.0 142.0 0.0 117.0 94.0 0.0 220.0 153.0 0.0 330.0 94.0 0.0 388.0 155.0 0.0) this is the XYZ of the points making the spline, you could change one of the points. The pts are XYZ.

Code: [Select]
(setq pts '(-2.0 142.0 0.0 200.0 117.0 220.0 153.0 0.0 330.0 94.0 0.0 388.0 155.0 0.0))
(vlax-put obj 'Fitpoints pts)
Title: Re: "trigger" dragging a fit point of a spline?
Post by: V@no on April 27, 2024, 07:43:03 PM
Thank you. I'm not trying "change" the spline from autolisp, perse. I'm trying trigger the action which would display to the user original spline and new shape of the spline while it's being dragged around.